<?xml version="1.0" encoding="utf-8" ?>
<uexplugins>
    
    <plugin name="uexIM">
        
        <method name="getIMHostUrl"></method>
        <method name="setServerConfig"></method>
        <method name="login"></method>
        <method name="logout"></method>
        <method name="setMsgNotifyType"></method>
        
        <method name="initimParam"></method>
        <method name="initImParam"></method>
        <method name="getGroupList"></method>
        <method name="getGroupMembers"></method>
        <method name="isGroupTrouble"></method>
        <method name="queryGroupTroubleList"></method>
        <method name="groupTrouble"></method>
        <method name="cannelGroupTrouble"></method>
        <method name="getGroupMemberRose"></method>
        <method name="isGroupMask"></method>
        <method name="getGroupidByName"></method>
        <method name="groupMessageMask"></method>
        <method name="cannelGroupMessageMask"></method>
        <method name="changeGroupNameByall"></method>
        <method name="getUserPrivilege"></method>
        <method name="publishNotice"></method>
        <method name="getNotice"></method>
        
        <method name="sendMsgText"></method>
        <method name="sendMsgImage"></method>
        <method name="sendMsgVoice"></method>
        <method name="sendMsgLocation"></method>
        <method name="sendMsgFile"></method>
        <method name="sendFileMsg"></method>
        <method name="sendMsgEPortalCard"></method>
        <method name="sendGroupMsgText"></method>
        <method name="sendGroupMsgImage"></method>
        <method name="sendGroupMsgVoice"></method>
        <method name="sendGroupMsgLocation"></method>
        <method name="sendGroupMsgFile"></method>
        <method name="sendGroupFileMsg"></method>
        <method name="sendGroupMsgEPortalCard"></method>
        <method name="revokeChatMessage"></method>
        <method name="revokeGroupMessage"></method>
        
        <method name="queryGroupMembers"></method>
        <method name="createChatGroup"></method>
        <method name="deleteChatGroup"></method>
        <method name="joinChatGroups"></method>
        <method name="joinChatGroup"></method>
        <method name="leaveChatGroup"></method>
        <method name="getChatListWithLastMsg"></method>
        <method name="getChatList"></method>
        <method name="getAllMsgUnreadCount"></method>
        <method name="setMarkMsgRead"></method>
        <method name="getChatList"></method>
        <method name="getGroupChatList"></method>
        <method name="setOffLineMsgCallback"></method>
        <method name="setOffLineGroupMsgCallback"></method>
        <method name="setVoiceMsgRead"></method>
        <method name="getAllGroupMsgUnreadCount"></method>
        <method name="setMarkGroupMsgRead"></method>
        <method name="setVoiceGroupMsgRead"></method>
        <method name="deleteUserChatRecord"></method>
        <method name="deleteOnlyUserChatRecord"></method>
        <method name="inviteToChatGroup"></method>
        
        
        <method name="declineJoinGroupApply" />
        <method name="acceptJoinGroupApply" />
        <method name="sendJoinGroupApply" />
        <method name="queryGroupSubject" />
        <method name="changeGroupSubject" />
        <method name="searchMessage" />
        <method name="searchGroupMessage" />
        <method name="cannelMessageTop" />
        <method name="messageTop" />
        <method name="cannelGroupMessageTop" />
        <method name="groupMessageTop" />
        <method name="queryGroupMessageMaskList" />
        <method name="queryMessageMaskList" />
        <method name="messageMask" />
        <method name="cannelMessageMask" />
        <method name="creatChatGroupWithPermissionAndmaxuser" />
        <method name="creatChatGroupWithPermission" />
        <method name="downloaderGroupMgr" />
        <method name="downloaderChatMgr" />
        <method name="deleteChatGroupRecord" />
        <method name="changeGroupMemberRoles" />
        <method name="addRosterToGroup" />
        <method name="addRosterWithName" />
        <method name="getvCard" />
        <method name="updatevCard" />
        <method name="queryRoster" />
        <method name="setRosterNickname" />
        <method name="creatChatGroupWithReturnID" />
        <method name="changeGroupName" />
        <method name="getHistoryMessage" />
        <method name="addGroupMembers" />
        <method name="deleteGroupMembers" />
        <method name="getOnlineStatus" />
        <method name="getUserAndGroupAllMsgUnreadCount" />
        <method name="setSelfHeadPic" />
        <method name="notifyCardInfo" />
        <method name="addToBlackList" />
        <method name="removeFromBlackList" />
        <method name="kickFromChatGroup" />
        <method name="setChatGroupTitle" />
        <method name="deleteAllRecord" />
        <method name="deleteAllIMCache" />
        <method name="deleteOnlyChatGroupRecord"/>
        <method name="getBlackList" />
        <method name="refuseInvitation"/>
        <method name="acceptInvitation"/>
        
        
        <method name="isExistsBothRoster"></method>
        <method name="addRoster"></method>
        <method name="removeRoster"></method>
        <method name="acceptRoster"></method>
        <method name="getRosters"></method>
    </plugin>
    
</uexplugins>
